import react from 'react';

import { TileKey } from './types';

export interface TiledLayerProperties {
  /** The key of the first (ie top/left) tile */
  key: TileKey;
  /** Number of tiles (in each direction since TiledLayers are square)*/
  nbTiles: number;
}

/**
 * A lazyly loaded square layer of tiles.
 *
 */
export const TiledLayer: react.FC<TiledLayerProperties> = (
  props: TiledLayerProperties
) => {
  return <></>;
};

export default TiledLayer;
