/**
 * An identifier for tiles (can also be used for tile layers)
 */
export interface TileKey {
  /**A tile provider id ('osm', 'otm', ...) */
  provider: string;
  /**The zoom level (integer) */
  zoomLevel: number;
  /**The X coordinate (integer)*/
  x: number;
  /**The Y coordinate (integer) */
  y: number;
}
